Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

API Reference

Email Management

Conversation Management

Bulk Import ParticipantsCreate ParticipantGet ParticipantGet Participant EngagementList ParticipantsRemove ParticipantUpdate Participant

Configuration

Analytics & Operations

OpenAPI Specification
API ReferenceParticipants

Create Participant

POST
/participants

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/participants" \  -H "Content-Type: application/json" \  -d '{    "type": "human",    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "type": "human",
  "name": "string",
  "displayName": "string",
  "avatar": "string",
  "channelIdentities": "string",
  "humanProfile": "string",
  "capabilities": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "engagement": "string",
  "accessLevel": "public",
  "accessConfig": "string",
  "preferences": "string",
  "status": "active",
  "statusReason": "string",
  "externalId": "string",
  "metadata": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
  "lastModifiedBy": "ac5c7580-b36d-42f3-a739-e202c634d1d1"
}

Bulk Import Participants

Previous Page

Get Participant

Next Page

type*unknown
Value in"human" | "system"
name*string
displayName?|
avatar?|
channelIdentities?array<>
humanProfile?
capabilities?array<>
tags?array<>
engagement?|||||array<>
accessLevel?unknown
Value in"public" | "authenticated" | "vip" | "internal"
accessConfig?
preferences?
status?unknown
Value in"active" | "paused" | "blocked" | "archived"
statusReason?|
externalId?|
metadata?|||||array<>|
createdBy?|
lastModifiedBy?|